g2c_compare.c(3)

NAME
g2c_compare.c - This is a utility to compare two GRIB2 files.

SYNOPSIS

#include <ctype.h>
#include <grib2.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

  Functions

int main (int argc, char **argv)
Compare two GRIB2 files.

Detailed Description

This is a utility to compare two GRIB2 files.

Author
    Ed Hartnett

Date
    12/29/22

Definition in file g2c_compare.c.

Function Documentation

  int main (int argc, char ** argv)

Compare two GRIB2 files.

Parameters
    argc Number of arguments.
    argv Pointer to array of arguments.

Returns

    •   0 if files are identical

    •   1 otherwise

Author
    Ed Hartnett

Date
    12/29/22

Definition at line 24 of file g2c_compare.c.

References g2c_close(), g2c_compare(), G2C_ENOMEM, G2C_ERROR, G2C_NOWRITE, g2c_open(), g2c_set_log_level(), and G2C_VERSION.

Author

Generated automatically by Doxygen for NCEPLIBS-g2c from the source code.